graaff      15/04/18 06:27:24

  Modified:             ChangeLog httparty-0.13.3.ebuild
  Log:
  Avoid test dependency on dev-util/cucumber.
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
0x8883FA56A308A8D7!)

Revision  Changes    Path
1.36                 dev-ruby/httparty/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/httparty/ChangeLog?rev=1.36&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/httparty/ChangeLog?rev=1.36&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/httparty/ChangeLog?r1=1.35&r2=1.36

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/httparty/ChangeLog,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -r1.35 -r1.36
--- ChangeLog   13 Apr 2015 18:30:55 -0000      1.35
+++ ChangeLog   18 Apr 2015 06:27:24 -0000      1.36
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ruby/httparty
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/httparty/ChangeLog,v 1.35 
2015/04/13 18:30:55 graaff Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/httparty/ChangeLog,v 1.36 
2015/04/18 06:27:24 graaff Exp $
+
+  18 Apr 2015; Hans de Graaff <[email protected]> httparty-0.13.3.ebuild:
+  Avoid test dependency on dev-util/cucumber.
 
   13 Apr 2015; Hans de Graaff <[email protected]> httparty-0.13.1.ebuild:
   Create stable candidate.



1.2                  dev-ruby/httparty/httparty-0.13.3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/httparty/httparty-0.13.3.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/httparty/httparty-0.13.3.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/httparty/httparty-0.13.3.ebuild?r1=1.1&r2=1.2

Index: httparty-0.13.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/httparty/httparty-0.13.3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- httparty-0.13.3.ebuild      13 Nov 2014 22:07:24 -0000      1.1
+++ httparty-0.13.3.ebuild      18 Apr 2015 06:27:24 -0000      1.2
@@ -1,10 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/httparty/httparty-0.13.3.ebuild,v 
1.1 2014/11/13 22:07:24 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/httparty/httparty-0.13.3.ebuild,v 
1.2 2015/04/18 06:27:24 graaff Exp $
 
 EAPI=5
 
-# jruby → testsuite fails (seems like a testuite bug)
 USE_RUBY="ruby19 ruby20 ruby21"
 
 # We have a custom test function, but don't null this out so that the
@@ -33,7 +32,9 @@
        rm Gemfile || die
        sed -i -e '/[Bb]undler/ s:^:#:' Rakefile || die
 
-#      sed -i -e '/git ls-files/ s:^:#:' ${PN}.gemspec || die
+       # Avoid test dependency on cucumber. We can't run the features since
+       # they depend on mongrel which is no longer packaged.
+       sed -i -e '/cucumber/I s:^:#:' Rakefile || die
 }
 
 each_ruby_test() {




Reply via email to